Pagetool ptconf[src]参数远程文件包含漏洞

2006-12-27T00:00:00
ID SSV:1050
Type seebug
Reporter Root
Modified 2006-12-27T00:00:00

Description

Pagetool是一款开放源码的内容管理系统。

Pagetool在处理用户请求时存在输入验证漏洞,远程攻击者可能利用此漏洞在服务器上以Web进程权限执行任意命令。

如果config_file参数引用了已有文件的话,Pagetool的src/admin/pt_upload.php文件就不会充分检查传送给ptconf[src]参数的输入,允许攻击者通过包含本地或外部资源的任意文件导致执行任意PHP代码。成功攻击要求打开了register_globals。

Pagetool CMS <= 1.07 目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:

<a href="http://www.pagetool.org/" target="_blank">http://www.pagetool.org/</a>

                                        
                                            
                                                #!usr/bin/perl
use LWP::UserAgent;
####################################################################
#          ___   ___                         _
#         / _ \ / _ \                       | |
#     __ _| | |